Bug 144452 - assigning errata to channels impossible
Summary: assigning errata to channels impossible
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
(Show other bugs)
Version: 360
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Max Spevack
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 145824 147692
TreeView+ depends on / blocked
 
Reported: 2005-01-07 09:26 UTC by Kurt Keller
Modified: 2007-07-31 15:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-22 15:11:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kurt Keller 2005-01-07 09:26:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040924

Description of problem:
Cloning of errata into clone software channels does not work.

When cloning an RH errata down to a cloned software channel, doing
it the same way I did with SS 3.4, it will not be assigned to any
channels at all after publishing, even though there were checkmarks
on the proper channels when publishing. 

Trying to assign the errata to channels afterwards (Errata ->
Manage Errata -> Published -> select the errata -> Channels) does
not work either. I can check the channels I want and push the
'Update Channels' button, but in the resulting page all channels
are cleared again and on the top it says:
"Errata CLSA-2005:010 has been successfully assigned to 0 channels."

The same goes for errata which have been taken over automatically
upon software channel cloning. These errata are assigned to the
channel, but trying to change the channel association will remove
the errata from all channels.

There is a cumbersome way, however, to work around the issue:
- clone the errata
- for _each_ channel, to which the cloned errata should apply do:
  Channels -> Manage Software Channels -> select the channel
  to work with -> Errata -> Clone -> in the Action field select
  'Merge with...' and push the 'Clone Errata' button -> push the
  'update Errata' button

Version-Release number of selected component (if applicable):
 Red Hat Network release 3.6.0

How reproducible:
Always

Steps to Reproduce:
1. clone a RH errata to a custom software channel and publish it

or

1. select a cloned errata and try to update its channel association


Actual Results:  errata will not be assigned to any channels at all

Expected Results:  errata should be assigned to the selected channels

Additional info:

We subscribe all our machines to cloned software channels. The
structure looks as follows:

  RHEL WS 3 channel
     ^-- cloned to: customer staging channel
                         ^-- cloned to: customer channel

Erratas we want to clone in the same manner, the RH-errata should
be cloned to the 'staging' channels and after verification to the
final 'production' channels.

Comment 4 Robin Norwood 2005-02-08 18:01:13 UTC
This is fixed in CVS, and should be available with the next version of
the satellite.

Comment 8 Max Spevack 2005-02-18 19:41:57 UTC
Fix verified.


Note You need to log in before you can comment on or make changes to this bug.